# encoding: UTF-8
require 'application_helper'

module SubjectCompilation
	module QueriesHelperPatch
		def self.included(base)
			base.send(:include, InstanceMethods)
			base.extend(ClassMethods)

			base.class_eval do
				unloadable

				alias_method_chain :column_value, :subject_compilation
			end
		end

		module ClassMethods
		end

		module InstanceMethods
			def column_value_with_subject_compilation(column, issue, value)
				if column.name == :subject_combined
					return link_to(value, issue_path(issue), style: "white-space: normal")
				end

				return column_value_without_subject_compilation(column, issue, value)
			end
		end
	end
end

Rails.configuration.to_prepare do
	QueriesHelper.send(:include, SubjectCompilation::QueriesHelperPatch)
end

