# encoding: UTF-8
require 'application_helper'

module SubjectCompilation
	module IssuePatch
		def self.included(base)
			base.send(:include, InstanceMethods)
			base.extend(ClassMethods)

			base.class_eval do
				unloadable
			end
		end

		module ClassMethods
		end

		module InstanceMethods
			def subject_combined
				result = subject
				case project.id
					when 31
						result = "#{subject}, #{self.custom_field_value(13)}"
					when 102
						result = "#{subject}, #{author}, #{self.custom_field_value(4)}"
				end
				return result
			end
		end
	end
end

Rails.configuration.to_prepare do
	Issue.send(:include, SubjectCompilation::IssuePatch)
end

